package tacv.universe.map;

import tacv.util.Point;

public class MapPosition extends Point {

    private static final long serialVersionUID = 297141107036920194L;
    private final String id;

    public MapPosition(String id, double x, double y, double z) {
        super(x, y, z);
        this.id = id;
    }

    public MapPosition(String id, Point position) {
        super(position);
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Override
    public String toString() {
        return id + " (" + x + "," + y + "," + z + ")";
    }
}
